<?php
/**
 * @package         Articles Anywhere
 * @version         13.0.3PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ArticlesAnywhere\DataGroups;

defined('_JEXEC') or die;

use RegularLabs\Plugin\System\ArticlesAnywhere\Numbers\Numbers as MainNumbers;

class Numbers extends DataGroup
{
    protected static $data_key_aliases = [];
    protected static $main_table       = '';
    protected static $prefix           = '';

    public function getQueryKeys()
    {
        return [];
    }

    public function getRequiredQueryKeys()
    {
        return [];
    }

    /**
     * @return mixed
     */
    public function getValue()
    {
        if ( ! ($this->numbers) instanceof MainNumbers)
        {
            return '';
        }

        return $this->numbers->get($this->key);
    }

    protected static function getPossiblePlainKeys()
    {
        return [...array_keys(MainNumbers::getDefaultNumbers()), ...array_keys(MainNumbers::getAliases())];
    }

    protected static function getPossibleRegexKeys()
    {
        return [
            '^every-[0-9]+',
            '^is-[0-9]+-of-[0-9]+',
        ];
    }
}
