<?php
/**
 * @package         Articles Anywhere
 * @version         13.0.3PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ArticlesAnywhere\DataGroups;

defined('_JEXEC') or die;



use RegularLabs\Plugin\System\ArticlesAnywhere\Helpers\DB;

class ParentCategory extends Category
{
    protected static $layout_name = 'parent_category';
    protected static $prefix      = 'parent-category';

    /**
     * @return array [table => condition]
     */
    public function getJoins()
    {
        return array_merge(
            parent::getJoins(),
            [
                DB::quoteName('#__categories', $this->getDatabasePrefix()) =>
                    DB::quoteName($this->getDatabasePrefix() . '.id') . ' = ' . DB::quoteName('category.parent_id'),
            ]
        );
    }
}
