<?php
/**
 * @package         Articles Anywhere
 * @version         13.0.3PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ArticlesAnywhere\DataGroups;

defined('_JEXEC') or die;



class RowValue extends DataGroup
{
    protected static $data_key_aliases = [
        'row' => 'text',
    ];
    protected static $default_data_key = 'text';
    protected static $prefix           = '';

    /**
     * @return mixed
     */
    public function getValue()
    {
        return $this->values[$this->key] ?? '';
    }

    protected static function getPossiblePlainKeys()
    {
        return ['row', 'value', 'text'];
    }

    protected static function getValueKeys()
    {
        return ['value', 'text'];
    }
}
