<?php
/**
 * @package         Articles Anywhere
 * @version         13.0.3PRO
 * 
 * @author          Peter van Westen <info@regularlabs.com>
 * @link            http://regularlabs.com
 * @copyright       Copyright © 2023 Regular Labs All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

namespace RegularLabs\Plugin\System\ArticlesAnywhere\DataGroups;

defined('_JEXEC') or die;

use Joomla\CMS\Factory as JFactory;
use RegularLabs\Library\StringHelper as RL_String;

class User extends DataGroup
{
    protected static $default_data_key = 'name';
    protected static $prefix           = 'user';

    /**
     * @return mixed
     */
    public function getValue()
    {
        if ($this->key === 'password')
        {
            return '***';
        }

        $user = JFactory::getApplication()->getIdentity() ?: JFactory::getUser();

        $camelcase_key = RL_String::toCamelCase($this->key);

        return $user->get($this->key, $user->get($camelcase_key));
    }
}
